(function (lib, img, cjs) {

var p; // shortcut to reference prototypes

// stage content:
(lib.hiraganaZA = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 3
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#CCCCCC").s().p("AgegFQgLgQAQAFQAeAGAeAKQgLAHgPAIIgFADQgPgNgTgKg");
	this.shape.setTransform(106,15.4);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#CCCCCC").s().p("AhFgjQgLgQAQAFQBMAOA/AoQgJAWgkARIgCABQgkgvg9gkg");
	this.shape_1.setTransform(109.9,18.4);

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#CCCCCC").s().p("AAuBQIAAgBQgmhThjg/QgKgQAQAFQBYAQBFA1QAOAKAKAOQAAAagDALQgJAcgeAAIgIAAg");
	this.shape_2.setTransform(112.1,21.6);

	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.f("#CCCCCC").s().p("AAjBBQgjhThlg/QgLgQAQAFQBbAQBDA1QAgAZAKAlQALAqggALQgHACgHAAQgVAAgNgdg");
	this.shape_3.setTransform(113.1,23);

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.f("#CCCCCC").s().p("AAjBuQgjhVhlg9QgLgQAQAFQBbAQBDAzQAgAbAKAlQALAqggALQgHADgHAAQgVAAgNgegAAjh/QgLgQAQAGQAeAFAbAJQgKALgRAJQgQgMgTgMg");
	this.shape_4.setTransform(113.1,18.5);

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.f("#CCCCCC").s().p("AAABuQglhVhlg9QgLgQAQAFQBbAQBDAzQAgAbAKAlQALAqggALQgHADgGAAQgWAAgLgegAAAh/QgLgQAOAGQBPAOA+ApQgNATgZAPIgOABQglgsg3gkg");
	this.shape_5.setTransform(116.8,18.5);

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("#CCCCCC").s().p("AgbBuQglhVhlg9QgLgQAQAFQBbAQBFAzQAeAbAKAlQALAqggALQgHADgGAAQgUAAgNgegAB3ADQgLgDgKAAQgnhHhWg4QgLgQAQAGQBZAQBFA1QAWATAMAYIgDAKQgMAYgTAAIgRgGg");
	this.shape_6.setTransform(119.5,18.5);

	this.shape_7 = new cjs.Shape();
	this.shape_7.graphics.f("#CCCCCC").s().p("AggBuQglhVhlg9QgLgQAQAFQBbAQBFAzQAeAbAKAlQALAqggALQgHADgHAAQgTAAgNgegABoAUQglhThjhAQgLgQAQAGQBZAQBFA1QAgAaAKAmQALAoggALQgHACgGAAQgXAAgMgdg");
	this.shape_7.setTransform(120,18.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[]},27).to({state:[{t:this.shape}]},1).to({state:[{t:this.shape_1}]},1).to({state:[{t:this.shape_2}]},1).to({state:[{t:this.shape_3}]},1).to({state:[{t:this.shape_4}]},3).to({state:[{t:this.shape_5}]},1).to({state:[{t:this.shape_6}]},1).to({state:[{t:this.shape_7}]},1).wait(1));

	// Layer 2
	this.shape_8 = new cjs.Shape();
	this.shape_8.graphics.f("#666666").s().p("AggBuQglhVhlg9QgLgQAQAFQBbAQBFAzQAeAbAKAlQALAqggALQgHADgHAAQgTAAgNgegABoAUQglhThjhAQgLgQAQAGQBZAQBFA1QAgAaAKAmQALAoggALQgHACgGAAQgXAAgMgdg");
	this.shape_8.setTransform(120,18.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_8}]}).to({state:[{t:this.shape_8}]},27).to({state:[{t:this.shape_8}]},9).wait(2));

	// Layer 1 copy 2
	this.shape_9 = new cjs.Shape();
	this.shape_9.graphics.f("#CCCCCC").s().p("AgWgKQgLgaAbAPQANAOATAIQgGAPgMALQgYgagGgLg");
	this.shape_9.setTransform(32.6,44.5);

	this.shape_10 = new cjs.Shape();
	this.shape_10.graphics.f("#CCCCCC").s().p("AgygdQgKgaAaAPQAiAhA1AIQgKAXgVAWIgBABQg8g3gLgVg");
	this.shape_10.setTransform(35.3,46.4);

	this.shape_11 = new cjs.Shape();
	this.shape_11.graphics.f("#CCCCCC").s().p("Ag2AlQhAg5gLgVQgKgaAaAPQA1AwBZAAQApAAAzgGIADAJQAIAbAAAKQgxAHgsAEQggALgOAAQgaAAgVgVg");
	this.shape_11.setTransform(43.2,47.6);

	this.shape_12 = new cjs.Shape();
	this.shape_12.graphics.f("#CCCCCC").s().p("AiQAlQhAg5gLgVQgKgaAaAPQA1AwBbAAQBdAACaglIAAAAQAOgCALgDQAJAMAAAOQAAAIgFAPIgJADQiWAfhrAKQggALgQAAQgaAAgVgVg");
	this.shape_12.setTransform(52.2,47.6);

	this.shape_13 = new cjs.Shape();
	this.shape_13.graphics.f("#CCCCCC").s().p("AjtA7QhAg7gLgTQgKgaAaAPQA1AuBbAAQBfAACYgjIAAAAQAXgDATgJQAJgBAHgEIABABQA9gNBPgfQASAgAEAaQg7AQhMAQIgBAAQgLgBgGAGQgOABgQAEIgSAHQiUAfhtAKQggALgQAAQgaAAgVgVg");
	this.shape_13.setTransform(61.5,45.4);

	this.shape_14 = new cjs.Shape();
	this.shape_14.graphics.f("#CCCCCC").s().p("AknBTQhAg7gLgVQgKgYAaAPQA1AuBbAAQBfAACYglIAAAAQAXgDATgHQAJgBAHgEIABABQBfgVCKhAQAJgFAJgCQAbAmAAAaQAAAEgCAFQhUAbimAmIAAAAQgLgBgGAFQgOABgQAFIgTAHQiTAfhtAKQggALgQAAQgaAAgVgVg");
	this.shape_14.setTransform(67.3,43);

	this.shape_15 = new cjs.Shape();
	this.shape_15.graphics.f("#CCCCCC").s().p("AlJBUQhAg7gKgVQgLgYAbAPQA1AuBaAAQBgAACYglIgBAAQAXgDATgHQAKgBAGgEIABABQBggVCKhAQAbgQAqALQAVAFAQAQQAQAQggAQQhKAgjfAzIAAAAQgMgBgFAGQgOABgQAEIgTAHQiUAfhsAKQggALgQAAQgbAAgVgVg");
	this.shape_15.setTransform(70.7,42.9);

	this.shape_16 = new cjs.Shape();
	this.shape_16.graphics.f("#CCCCCC").s().p("AlJDBQhAg6gKgVQgLgbAbAQQA1AwBaAAQBgAACYglIgBgBQAXgDATgIQAKgCAGgDIABABQBggWCKg/QAbgOAqAIQAVAGAQAQQAQAQggAPQhKAgjfA1IAAAAQgMAAgFAFQgOABgQAFIgTAHQiUAehsALQggALgQAAQgbAAgVgWgAgujIIgDgEQAOgGAOgEQAjAAgTAQQgIAEgGAHQgRgEgKgJg");
	this.shape_16.setTransform(70.7,32);

	this.shape_17 = new cjs.Shape();
	this.shape_17.graphics.f("#CCCCCC").s().p("AlJDBQhAg6gKgVQgLgbAbAQQA1AwBaAAQBgAACYglIgBgBQAXgDATgIQAKgCAGgDIABABQBggWCKg/QAbgOAqAIQAVAGAQAQQAQAQggAPQhKAgjfA1IAAAAQgMAAgFAFQgOABgQAFIgTAHQiUAehsALQggALgQAAQgbAAgVgWgAgyiLQgkAAgagVQAsgpAvgNQAjAAgTAQQgbAOgMAtIgGAAg");
	this.shape_17.setTransform(70.7,32);

	this.shape_18 = new cjs.Shape();
	this.shape_18.graphics.f("#CCCCCC").s().p("AlJDBQhAg6gKgVQgLgbAbAQQA1AwBaAAQBgAACYglIgBgBQAXgDATgIQAKgCAGgDIABABQBggWCKg/QAbgOAqAIQAVAGAQAQQAQAQggAPQhKAgjfA1IAAAAQgMAAgFAFQgOABgQAFIgTAHQiUAehsALQggALgQAAQgbAAgVgWgAiMhZQgUgXAcgbQA1g7A6gQQAjAAgTAQQggAQgKA7IgBACIgSASQgPAQglAAQgNAAgJgCg");
	this.shape_18.setTransform(70.7,32);

	this.shape_19 = new cjs.Shape();
	this.shape_19.graphics.f("#CCCCCC").s().p("AlJDBQhAg6gKgVQgLgbAbAQQA1AwBaAAQBgAACYglIgBgBQAXgDATgIQAKgCAGgDIABABQBggWCKg/QAbgOAqAIQAVAGAQAQQAQAQggAPQhKAgjfA1IAAAAQgMAAgFAFQgOABgQAFIgTAHQiUAehsALQggALgQAAQgbAAgVgWgAhVgcQgVgggagVQgggbAggfQA1g7A6gQQAjAAgTAQQggAQgKA7QgGAaAbAwQAeA3AaAqIgRAEQgWAGgPAGQgYgnglg1g");
	this.shape_19.setTransform(70.7,32);

	this.shape_20 = new cjs.Shape();
	this.shape_20.graphics.f("#CCCCCC").s().p("AAeCcQiYAghvALQggALgQAAQgbAAgVgWQhAg6gKgVQgLgbAbAQQA1AwBaAAQBgAACYglQgZgwhAheQgVgggagVQgggbAggfQA1g7A6gQQAjAAgTAQQggAQgKA7QgGAaAbAwQAzBeAlA1QBggWCKg/QAbgOAqAIQAVAGAQAQQAQAQggAPQhKAgjfA1IAfAzQgZAVgXAIIgqhAg");
	this.shape_20.setTransform(70.7,32.5);

	this.shape_21 = new cjs.Shape();
	this.shape_21.graphics.f("#CCCCCC").s().p("AAeBnQiYAghvALQggALgQAAQgbAAgVgVQhAg7gKgVQgLgbAbAQQA1AwBaAAQBgAACYglQgZgwhAhdQgVghgagUQgggcAggfQA1g6A6gRQAjABgTAQQggAPgKA7QgGAaAbAwQAzBgAlAzQBggVCKg+QAbgQAqALQAVAFAQAQQAQAQggAOQhKAfjfA1QAoBGBBBaQgEAKgiALIgMAFQg7hVg3hVg");
	this.shape_21.setTransform(70.7,37.8);

	this.shape_22 = new cjs.Shape();
	this.shape_22.graphics.f("#CCCCCC").s().p("ADxFVQhuiahliZQiYAghvALQggALgQAAQgbAAgVgWQhAg6gKgTQgLgbAbAQQA1AuBaAAQBgAACYgjQgZgwhAhgQgVgggagVQgggbAggfQA1g7A6gQQAjAAgTAQQggAQgKA7QgGAaAbAwQAzBgAlA1QBggWCKg/QAbgQAqAKQAVAGAQAQQAQAQggAPQhKAgjfAzQA1BbBgB/QAiAvAZAeIgGAKQgQATgbAAIgHgBg");
	this.shape_22.setTransform(70.7,44.7);

	this.shape_23 = new cjs.Shape();
	this.shape_23.graphics.f("#CCCCCC").s().p("AFcGbIgNgJIgJgMIgWgiQgFgJgQgWQgOgUgGgLQgHgOgIgHIgGgKQhwibhliYQiYAghvALQggAJgQAAQgbAAgVgUQhAg6gKgVQgLgbAbAQQA1AwBaAAQBgAACYglQgZgwhAhgQgVgggagVQgggbAggfQA1g7A6gQQAjAAgTAQQggAQgKA7QgGAaAbAwQAzBgAlA1QBggWCKg/QAbgQAqAKQAVAGAQAQQAQAQggAPQhKAgjfA1QA1BZBgB/QA6BQAgAgQAVAVAgAVQAQALAFAVQALArgFAKQgOAbgTAAQgMAAgOgLgADSEWIABAAIgBAAg");
	this.shape_23.setTransform(70.8,52.7);

	this.shape_24 = new cjs.Shape();
	this.shape_24.graphics.f("#CCCCCC").s().p("AFcGbQhVg/hlggIgLgEQgJgGgPgEIgDgBQgNgHgUgIQhBgSgSgIIgOgEQgEgFgCgEIAMgCQAFAAAhAFIAKgBIATADQBvAQA1AQQAgAKgVgfQhwibhliYQiYAghvALQggAJgQAAQgbAAgVgUQhAg6gKgVQgLgbAbAQQA1AwBaAAQBgAACYglQgZgwhAhgQgVgggagVQgggbAggfQA1g7A6gQQAjAAgTAQQggAQgKA7QgGAaAbAwQAzBgAlA1QBggWCKg/QAbgQAqAKQAVAGAQAQQAQAQggAPQhKAgjfA1QA1BZBgB/QA6BQAgAgQAVAVAgAVQAQALAFAVQALArgFAKQgOAbgTAAQgMAAgOgLg");
	this.shape_24.setTransform(70.8,52.7);

	this.shape_25 = new cjs.Shape();
	this.shape_25.graphics.f("#CCCCCC").s().p("AmUGzQAAhVA1gwIAKgJIAOgHIAUgKQAFACAIAGQgGAIgFALIgEAFQgLAPgGAOQgeAlAAAnQAAARACAQQgXgBgbgKgAFcGDQhVhAhlgfIgLgEQgJgHgPgDIgDgBQgNgIgUgHQhBgSgSgIIgOgFQgEgEgCgFIAMgBQAFAAAhAFIAKgBIATADQBvAQA1APQAgALgVgfQhwibhliYQiYAghvAKQggALgQAAQgbAAgVgVQhAg7gKgVQgLgaAbAPQA1AxBagBQBgAACYglQgZgvhAhgQgVgggagVQgggbAggfQA1g7A6gQQAjAAgTAQQggAQgKA7QgGAaAbAwQAzBgAlA0QBggVCKhAQAbgPAqAKQAVAFAQARQAQAQggAPQhKAgjfA1QA1BZBgB/QA6BPAgAgQAVAWAgAVQAQALAFAVQALAqgFALQgOAagTAAQgMAAgOgKg");
	this.shape_25.setTransform(70.8,55.1);

	this.shape_26 = new cjs.Shape();
	this.shape_26.graphics.f("#CCCCCC").s().p("AmUF5QAAhVA1gwIAKgJIAOgHIAUgKQAFACAIAGQgGAIgFALIgEAFQgLAPgGAOQgeAlAAAnQAABKArAuQgTAYgXAFQgxg7AAhEgAFcFJQhVhAhlgfIgLgEQgJgHgPgDIgDgBQgNgIgUgHQhBgSgSgIIgOgFQgEgEgCgFIAMgBQAFAAAhAFIAKgBIATADQBvAQA1APQAgALgVgfQhwibhliYQiYAghvAKQggALgQAAQgbAAgVgVQhAg7gKgVQgLgaAbAPQA1AxBagBQBgAACYglQgZgvhAhgQgVgggagVQgggbAggfQA1g7A6gQQAjAAgTAQQggAQgKA7QgGAaAbAwQAzBgAlA0QBggVCKhAQAbgPAqAKQAVAFAQARQAQAQggAPQhKAgjfA1QA1BbBgB9QA6BPAgAgQAVAWAgAVQAQALAFAVQALAqgFALQgOAagTAAQgMAAgOgKg");
	this.shape_26.setTransform(70.8,60.9);

	this.shape_27 = new cjs.Shape();
	this.shape_27.graphics.f("#CCCCCC").s().p("AlaHXQg6g/AAhLQAAhUA1gxIAKgJIAOgGIAUgKQAFABAIAGQgGAIgFALIgEAFQgLAPgGAOQgeAlAAAoQAABVA6AwQAjAdAwAUQgGAcgLAaQhHgegrgvgAFcEeQhVhAhlggIgLgDQgJgHgPgEIgDgBQgNgHgUgHQhBgTgSgHIgOgFQgEgEgCgFIAMgCQAFABAhAFIAKgBIATACQBvAQA1AQQAgAKgVgfQhwiZhliaQiYAghvALQggALgQAAQgbAAgVgVQhAg7gKgVQgLgbAbAQQA1AwBaAAQBgAACYglQgZgwhAhfQgVghgagUQgggcAggfQA1g6A6gRQAjABgTAQQggAPgKA7QgGAaAbAwQAzBgAlA1QBggVCKhAQAbgQAqALQAVAFAQAQQAQAQggAQQhKAfjfA1QA1BbBgB9QA6BQAgAgQAVAWAgAVQAQAKAFAVQALArgFALQgOAagTAAQgMAAgOgKg");
	this.shape_27.setTransform(70.8,65.3);

	this.shape_28 = new cjs.Shape();
	this.shape_28.graphics.f("#CCCCCC").s().p("AibIoQh/gghAhFQg6hAAAhKQAAhVA1gwIAKgJIAOgHIAUgJQAFABAIAGQgGAIgFALIgEAFQgLAPgGAOQgeAlAAAoQAABVA6AwQBUBFCeANQgBANgJAeIgGASQgsgGgngKgAFcEJQhVg/hlggIgLgEQgJgHgPgDIgDgBQgNgIgUgHQhBgSgSgIIgOgFQgEgEgCgFIAMgBQAFAAAhAFIAKgBIATADQBvAQA1AQQAgAKgVgfQhwiZhliaQiYAghvALQggALgQAAQgbAAgVgWQhAg6gKgVQgLgbAbAQQA1AwBaAAQBgAACYglQgZgwhAhgQgVgggagVQgggbAggfQA1g7A6gQQAjAAgTAQQggAQgKA7QgGAaAbAwQAzBgAlA1QBggWCKg/QAbgQAqAKQAVAGAQAQQAQAQggAPQhKAgjfA1QA1BbBgB9QA6BQAgAgQAVAVAgAVQAQALAFAVQALArgFAKQgOAagTAAQgMAAgOgKg");
	this.shape_28.setTransform(70.8,67.3);

	this.shape_29 = new cjs.Shape();
	this.shape_29.graphics.f("#CCCCCC").s().p("AibIjQh/gghAhFQg6hAAAhKQAAhVA1gwIAKgKIAOgGIAUgKQAFACAIAGQgGAHgFALIgEAGQgLAPgGAOQgeAkAAAoQAABVA6AwQBgBQC/AFQCdAFArgPQAqgQAbAQQAaAPALAWQALAaggAGQhAAKh1AAQiNAAhrgagAFcEEQhVhAhlggIgLgDQgJgHgPgDIgDgBQgNgIgUgHQhBgTgSgHIgOgFQgEgEgCgFIAMgBQAFAAAhAFIAKgBIATACQBvAQA1AQQAgALgVggQhwiYhliaQiYAghvAKQggALgQAAQgbAAgVgVQhAg7gKgVQgLgaAbAPQA1AwBaAAQBgAACYglQgZgwhAhfQgVgggagVQgggbAgggQA1g6A6gQQAjAAgTAQQggAQgKA6QgGAbAbAvQAzBgAlA1QBggVCKhAQAbgQAqALQAVAFAQAQQAQAQggAQQhKAgjfA1QA1BaBgB+QA6BPAgAgQAVAWAgAVQAQAKAFAWQALAqgFALQgOAagTAAQgMAAgOgKg");
	this.shape_29.setTransform(70.8,67.8);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.shape_9}]},1).to({state:[{t:this.shape_10}]},1).to({state:[{t:this.shape_11}]},1).to({state:[{t:this.shape_12}]},1).to({state:[{t:this.shape_13}]},1).to({state:[{t:this.shape_14}]},1).to({state:[{t:this.shape_15}]},1).to({state:[{t:this.shape_16}]},5).to({state:[{t:this.shape_17}]},1).to({state:[{t:this.shape_18}]},1).to({state:[{t:this.shape_19}]},1).to({state:[{t:this.shape_20}]},1).to({state:[{t:this.shape_21}]},1).to({state:[{t:this.shape_22}]},1).to({state:[{t:this.shape_23}]},1).to({state:[{t:this.shape_24}]},1).to({state:[{t:this.shape_25}]},1).to({state:[{t:this.shape_26}]},1).to({state:[{t:this.shape_27}]},1).to({state:[{t:this.shape_28}]},1).to({state:[{t:this.shape_29}]},1).to({state:[{t:this.shape_29}]},12).wait(1));

	// Layer 1 copy
	this.shape_30 = new cjs.Shape();
	this.shape_30.graphics.f("#666666").s().p("AibIjQh/gghAhFQg6hAAAhKQAAhVA1gwIAKgKIAOgGIAUgKQAFACAIAGQgGAHgFALIgEAGQgLAPgGAOQgeAkAAAoQAABVA6AwQBgBQC/AFQCdAFArgPQAqgQAbAQQAaAPALAWQALAaggAGQhAAKh1AAQiNAAhrgagAFcEEQhVhAhlggIgLgDQgJgHgPgDIgDgBQgNgIgUgHQhBgTgSgHIgOgFQgEgEgCgFIAMgBQAFAAAhAFIAKgBIATACQBvAQA1AQQAgALgVggQhwiYhliaQiYAghvAKQggALgQAAQgbAAgVgVQhAg7gKgVQgLgaAbAPQA1AwBaAAQBgAACYglQgZgwhAhfQgVgggagVQgggbAgggQA1g6A6gQQAjAAgTAQQggAQgKA6QgGAbAbAvQAzBgAlA1QBggVCKhAQAbgQAqALQAVAFAQAQQAQAQggAQQhKAgjfA1QA1BaBgB+QA6BPAgAgQAVAWAgAVQAQAKAFAWQALAqgFALQgOAagTAAQgMAAgOgKg");
	this.shape_30.setTransform(70.8,67.8);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_30}]}).to({state:[{t:this.shape_30}]},25).to({state:[]},1).wait(12));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(29.9,4.5,107.8,120.8);


// symbols:
(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,320,240);

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;